# Method: accounts.gamecenters.games.list

- [HTTP request](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#body.request_body)
- [Response body](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#body.response_body)
  - [JSON representation](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#body.ListGamesResponse.SCHEMA_REPRESENTATION)
- [Game](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Game)
  - [JSON representation](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Game.SCHEMA_REPRESENTATION)
- [StaticContent](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#StaticContent)
  - [JSON representation](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#StaticContent.SCHEMA_REPRESENTATION)
- [Image](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Image)
  - [JSON representation](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Image.SCHEMA_REPRESENTATION)
- [Size](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Size)
  - [JSON representation](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Size.SCHEMA_REPRESENTATION)
- [Video](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Video)
  - [JSON representation](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Video.SCHEMA_REPRESENTATION)
- [Size](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Size_1)
  - [JSON representation](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Size_1.SCHEMA_REPRESENTATION)
- [Orientation](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Orientation)
- [Genre](https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Genre)

Lists the games of a given game center.

### HTTP request

`GET https://gamesnackspartner.googleapis.com/v1/{parent=accounts/*/gamecenters/*}/games`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The game center which owns the collection of games. Format: accounts/{account}/gamecenters/{gamecenter} |

### Request body

The request body must be empty.

### Response body

Response definition for the games list rpc.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "games": [ { object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Game`) } ] } ``` |

| Fields ||
|---|---|
| `games[]` | ``object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Game`)`` The games returned in the list response. |

## Game

Representation of a game.

| JSON representation |
|---|
| ``` { "name": string, "orientation": enum (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Orientation`), "genres": [ enum (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Genre`) ], "displayName": string, "version": string, "description": string, "embedUri": string, "staticContent": { object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#StaticContent`) }, "publishTime": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Required. Name of the game. Format: accounts/{account}/gamecenters/{gamecenter}/games/{game} |
| `orientation` | ``enum (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Orientation`)`` Screen orientations supported by the game. |
| `genres[]` | ``enum (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Genre`)`` List of genres that are used to classify the game. |
| `displayName` | `string` The name of the game provided by the developer. |
| `version` | `string` The version of the game provided by the developer, e.g. `v0.9.1`. |
| `description` | `string` The description of the game provided by the developer. |
| `embedUri` | `string` GameCenter URI that embeds the game for a given game center. |
| `staticContent` | ``object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#StaticContent`)`` The images and videos of the game. |
| `publishTime` | ``string (`https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Timestamp` format)`` The time when the game first went live. A timestamp in RFC3339 UTC "Zulu" format, with nanosecond resolution and up to nine fractional digits. Examples: `"2014-10-02T15:01:23Z"` and `"2014-10-02T15:01:23.045123456Z"`. |

## StaticContent

Representation of the game static content, e.g. images and videos.

| JSON representation |
|---|
| ``` { "icons": [ { object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Image`) } ], "horizontalBanners": [ { object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Image`) } ], "verticalBanners": [ { object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Image`) } ], "trailers": [ { object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Video`) } ] } ``` |

| Fields ||
|---|---|
| `icons[]` | ``object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Image`)`` The icons used to represent the game. Multiple values represent different sizes. |
| `horizontalBanners[]` | ``object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Image`)`` The horizontal banner of the game. The width of the image should be greater than its height. |
| `verticalBanners[]` | ``object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Image`)`` The vertical banner of the game. The height of the image should be greater than its width. |
| `trailers[]` | ``object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Video`)`` The trailers of the game. |

## Image

Representation of an image.

| JSON representation |
|---|
| ``` { "size": { object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Size`) }, "uri": string } ``` |

| Fields ||
|---|---|
| `size` | ``object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Size`)`` Size of the image. |
| `uri` | `string` The URI of the image. Images may be in bitmap (e.g. PNG) or vector (e.g. SVG) formats. |

## Size

Representation of images dimensions.

| JSON representation |
|---|
| ``` { "widthPixels": string, "heightPixels": string } ``` |

| Fields ||
|---|---|
| `widthPixels` | `string (https://developers.google.com/discovery/v1/type-format format)` Width of the image in pixels. |
| `heightPixels` | `string (https://developers.google.com/discovery/v1/type-format format)` Height of the image in pixels. |

## Video

Representation of a video.

| JSON representation |
|---|
| ``` { "uri": string, "size": { object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Size_1`) } } ``` |

| Fields ||
|---|---|
| `uri` | `string` The URI of the video. Videos may be in MP4 format. |
| `size` | ``object (`https://developers.google.com/gamesnacks/partner/api/rest/v1/accounts.gamecenters.games/list#Size_1`)`` Size of the video. |

## Size

Representation of videos dimensions.

| JSON representation |
|---|
| ``` { "widthPixels": string, "heightPixels": string } ``` |

| Fields ||
|---|---|
| `widthPixels` | `string (https://developers.google.com/discovery/v1/type-format format)` Width of the video in pixels. |
| `heightPixels` | `string (https://developers.google.com/discovery/v1/type-format format)` Height of the video in pixels. |

## Orientation

Screen orientations supported by the game.

| Enums ||
|---|---|
| `ORIENTATION_UNSPECIFIED` | The default value, do not use. |
| `ANY` | The game is supported in landscape and portrait modes. |
| `LANDSCAPE` | The game is supported in landscape mode. |
| `PORTRAIT` | The game is supported in portrait mode. |

## Genre

The games categories that are used to classify the game.

| Enums ||
|---|---|
| `GENRE_UNSPECIFIED` | The default value, do not use. |
| `ACTION` | Emphasizes combat and reflexes. |
| `ADVENTURE` | Focuses on exploration, story, and puzzle-solving. |
| `ARCADE` | Emphasizes fast-paced action, simple controls, and escalating difficulty. |
| `BOARD` | Mnipulates pieces on a board according to specific rules. |
| `CARD` | Features a deck of specialized cards as the main tool for gameplay. |
| `CASINO` | Features simulations of traditional casino experiences. |
| `CASUAL` | Focuses on providing intuitive and easy-to-learn gameplay. |
| `EDUCATIONAL` | Designed to teach skills or concepts through engaging gameplay. |
| `MUSIC` | Focuses on music interactions in the gameplay. |
| `PUZZLE` | Challenges the player's problem-solving skills. |
| `RACING` | Players control a vehicle and try to reach the finish line first. |
| `ROLE_PLAYING` | Fantasy or sci-fi world where players make choices that shape the story. |
| `SIMULATION` | Mimic real-world activities or scenarios. |
| `SPORTS` | Recreate real-world sports with realistic gameplay. |
| `STRATEGY` | Focuses on planning, tactics, and resource management |
| `TRIVIA` | Tests knowledge with questions across various subjects. |
| `WORD` | Focuses on vocabulary, word formation, and spelling. |